CVE-2004-1965
CVSS4.3
发布时间 :2004-04-25 00:00:00
修订时间 :2016-10-17 23:03:52
NMCOE    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in Open Bulletin Board (OpenBB) 1.0.6 and earlier allows remote attackers to inject arbitrary web script or HTML via the (1) redirect parameter to member.php, (2) to parameter to myhome.php (3) TID parameter to post.php, or (4) redirect parameter to index.php.


[CNNVD]OpenBB多个输入验证漏洞(CNNVD-200404-086)

        Open Bulletin Board (OpenBB) 1.0.6及其早期版本存在多个跨站脚本(XSS)漏洞。远程攻击者可以通过多种参数注入任意的web脚本或HTML,这些参数包含(1)member.php中的 redirect参数, (2) myhome.php中的to 参数 (3) post.php中的TID参数,或者 (4) index.php中的redirect参数。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1965
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1965
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200404-086
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108301983206107&w=2
(UNKNOWN)  BUGTRAQ  20040425 Multiple Vulnerabilities In OpenBB
http://securitytracker.com/id?1009935
(VENDOR_ADVISORY)  SECTRACK  1009935
http://www.securityfocus.com/bid/10214
(VENDOR_ADVISORY)  BID  10214
http://xforce.iss.net/xforce/xfdb/15966
(VENDOR_ADVISORY)  XF  openbb-multiple-scripts-xss(15966)

- 漏洞信息

OpenBB多个输入验证漏洞
中危 跨站脚本
2004-04-25 00:00:00 2005-10-20 00:00:00
远程  
        Open Bulletin Board (OpenBB) 1.0.6及其早期版本存在多个跨站脚本(XSS)漏洞。远程攻击者可以通过多种参数注入任意的web脚本或HTML,这些参数包含(1)member.php中的 redirect参数, (2) myhome.php中的to 参数 (3) post.php中的TID参数,或者 (4) index.php中的redirect参数。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (24052)

OpenBB 1.0.x member.php redirect Parameter XSS (EDBID:24052)
php webapps
2004-04-26 Verified
0 JeiAr
N/A [点击下载]
source: http://www.securityfocus.com/bid/10214/info

It has been reported that OpenBB is affected by multiple input validation vulnerabilities. These issues are due to a failure of the application to properly sanitize user supplied user input.

The SQL issues may allow a remote attacker to manipulate query logic, potentially leading to unauthorized access to sensitive information such as the administrator password hash or corruption of database data. SQL injection attacks may also potentially be used to exploit latent vulnerabilities in the underlying database implementation.

The cross-site scripting issues could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

http://www.example.com/member.php?action=login&redirect=[XSS]		

- 漏洞信息 (24053)

OpenBB 1.0.x myhome.php to Parameter XSS (EDBID:24053)
php webapps
2004-04-26 Verified
0 JeiAr
N/A [点击下载]
source: http://www.securityfocus.com/bid/10214/info
 
It has been reported that OpenBB is affected by multiple input validation vulnerabilities. These issues are due to a failure of the application to properly sanitize user supplied user input.
 
The SQL issues may allow a remote attacker to manipulate query logic, potentially leading to unauthorized access to sensitive information such as the administrator password hash or corruption of database data. SQL injection attacks may also potentially be used to exploit latent vulnerabilities in the underlying database implementation.
 
The cross-site scripting issues could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

http://www.example.com/myhome.php?action=newmsg&to=blah[XSS]		

- 漏洞信息 (24054)

OpenBB 1.0.x post.php TID Parameter XSS (EDBID:24054)
php webapps
2004-04-26 Verified
0 JeiAr
N/A [点击下载]
source: http://www.securityfocus.com/bid/10214/info
  
It has been reported that OpenBB is affected by multiple input validation vulnerabilities. These issues are due to a failure of the application to properly sanitize user supplied user input.
  
The SQL issues may allow a remote attacker to manipulate query logic, potentially leading to unauthorized access to sensitive information such as the administrator password hash or corruption of database data. SQL injection attacks may also potentially be used to exploit latent vulnerabilities in the underlying database implementation.
  
The cross-site scripting issues could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

http://www.example.com/post.php?action=mail&TID=1[XSS]		

- 漏洞信息 (24055)

OpenBB 1.0.x index.php redirect Parameter XSS (EDBID:24055)
php webapps
2004-04-26 Verified
0 JeiAr
N/A [点击下载]
source: http://www.securityfocus.com/bid/10214/info
   
It has been reported that OpenBB is affected by multiple input validation vulnerabilities. These issues are due to a failure of the application to properly sanitize user supplied user input.
   
The SQL issues may allow a remote attacker to manipulate query logic, potentially leading to unauthorized access to sensitive information such as the administrator password hash or corruption of database data. SQL injection attacks may also potentially be used to exploit latent vulnerabilities in the underlying database implementation.
   
The cross-site scripting issues could permit a remote attacker to create a malicious URI link that includes hostile HTML and script code. If this link were followed, the hostile code may be rendered in the web browser of the victim user. This would occur in the security context of the affected web site and may allow for theft of cookie-based authentication credentials or other attacks.

http://www.example.com/index.php?redirect=[XSS]		

- 漏洞信息

5649
OpenBB member.php redirect Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

OpenBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the "redirect" variable upon submission to the "member.php" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-04-24 Unknow
2004-04-24 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站